Bug 98660 - internal error: Segmentation fault compiling MPlayer v.90
Summary: internal error: Segmentation fault compiling MPlayer v.90
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-07 00:07 UTC by Peter Hutnick
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-08 14:19:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Hutnick 2003-07-07 00:07:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
Downloaded MPlayer v.90  Did "./configure --enable-gui --disable-mencoder" then
"make"  Result is:

dsputil.c: In function `put_qpel16_mc33_c':
dsputil.c:2118: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Ran up2date, updated all packages and rebooted (kernel update) ~2hrs ago.  Was
able to compile with these options before running up2date.  Unpacked fresh copy
of MPlayer source and problem recurred.

Version-Release number of selected component (if applicable):
gcc-3.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. Get an up to date RH9 system
2. Download and unpack MPlayer v.90
3. do "./configure --enable-gui --disable-mencoder"
4. do "make"
5. Wait a few minutes.
6. Be sad :-(
    

Expected Results:  Successful compile.  Multimeda Nirvana.

Additional info:

List of packages on my system is at http://hutnick.com/packagelist.txt in case
anyone wants to know.

Comment 1 Jakub Jelinek 2003-07-07 14:52:11 UTC
Please try latest rawhide gcc first, if the problem persists, I need
preprocessed output and source on which it can be reproduced (and is actually
reproduceable).

Comment 2 Peter Hutnick 2003-07-07 17:12:41 UTC
Upgraded to:

binutils-2.14.90.0.4-18
libgcj-devel-3.3-12
libstdc++-devel-3.3-12
gcc-gnat-3.3-12
libstdc++-3.3-12
gcc-g77-3.3-12
libgnat-3.3-12
libgcc-3.3-12
libf2c-3.3-12
gcc-java-3.3-12
gcc-3.3-12
gcc-c++-3.3-12
cpp-3.3-12
libgcj-3.3-12

from rawhide.  I am now able to compile sucessfully.


Note You need to log in before you can comment on or make changes to this bug.